## EAlertBar EAlertBar |

## Functions

GtkWidget * | e_alert_bar_new ()
void | e_alert_bar_clear ()
void | e_alert_bar_add_alert ()
gboolean | e_alert_bar_close_alert ()
void | e_alert_bar_submit_alert ()

## Description

## Functions

### e_alert_bar_new ()

    GtkWidget *
    e_alert_bar_new (void);

`e_alert_bar_new` is deprecated and should not be used in newly-written code.

### e_alert_bar_clear ()

    void
    e_alert_bar_clear (EAlertBar *alert_bar);

`e_alert_bar_clear` is deprecated and should not be used in newly-written code.

### e_alert_bar_add_alert ()

    void
    e_alert_bar_add_alert (EAlertBar *alert_bar,
                           EAlert *alert);

`e_alert_bar_add_alert` is deprecated and should not be used in newly-written code.

### e_alert_bar_close_alert ()

    gboolean
    e_alert_bar_close_alert (EAlertBar *alert_bar);

`e_alert_bar_close_alert` is deprecated and should not be used in newly-written code.

Closes the active EAlert and returns `TRUE`, or else returns `FALSE` if there is no active EAlert.

#### Parameters

alert_bar | an EAlertBar |

#### Returns

whether an EAlert was closed

### e_alert_bar_submit_alert ()

    void
    e_alert_bar_submit_alert (EAlertBar *alert_bar,
                              EAlert *alert);

`e_alert_bar_submit_alert` is deprecated and should not be used in newly-written code.

Depending on the `alert` type either shows a dialog or adds the alert into the `alert_bar` . This is meant to be used by EAlertSink implementations which use the EAlertBar.

#### Parameters

alert_bar | an EAlertBar |
alert | an EAlert |

Since: 3.26

## Types and Values